<?php


namespace App\Entities\Prontuario;


use App\Utils\Entity;

class Prontuario extends Entity
{
    protected $id;
    protected $adicionado_por;
    protected $alterado_por;
    protected $criado_em;
    protected $alterado_em;
    protected $id_paciente;
    protected $id_medico;

    public static function builder() : ProntuarioBuilder
    {
        return new ProntuarioBuilder;
    }

    /**
     * @return mixed
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @param mixed $id
     */
    public function setId($id): void
    {
        $this->id = $id;
    }

    /**
     * @return mixed
     */
    public function getAdicionadoPor()
    {
        return $this->adicionado_por;
    }

    /**
     * @param mixed $adicionado_por
     */
    public function setAdicionadoPor($adicionado_por): void
    {
        $this->adicionado_por = $adicionado_por;
    }

    /**
     * @return mixed
     */
    public function getAlteradoPor()
    {
        return $this->alterado_por;
    }

    /**
     * @param mixed $alterado_por
     */
    public function setAlteradoPor($alterado_por): void
    {
        $this->alterado_por = $alterado_por;
    }

    /**
     * @return mixed
     */
    public function getCriadoEm()
    {
        return $this->criado_em;
    }

    /**
     * @param mixed $criado_em
     */
    public function setCriadoEm($criado_em): void
    {
        $this->criado_em = $criado_em;
    }

    /**
     * @return mixed
     */
    public function getAlteradoEm()
    {
        return $this->alterado_em;
    }

    /**
     * @param mixed $alterado_em
     */
    public function setAlteradoEm($alterado_em): void
    {
        $this->alterado_em = $alterado_em;
    }

    /**
     * @return mixed
     */
    public function getIdPaciente()
    {
        return $this->id_paciente;
    }

    /**
     * @param mixed $id_paciente
     */
    public function setIdPaciente($id_paciente): void
    {
        $this->id_paciente = $id_paciente;
    }

    /**
     * @return mixed
     */
    public function getIdMedico()
    {
        return $this->id_medico;
    }

    /**
     * @param mixed $id_medico
     */
    public function setIdMedico($id_medico): void
    {
        $this->id_medico = $id_medico;
    }

}